#!/bin/sh

# update_bootloader.sh

next_boot_switch=$1



uboot_num=4
lazy_bootloader=$(cat lazy_bootloader.txt)

if [ "$lazy_bootloader" = 1 ] && diff u-boot /data/update/last_u-boot && diff MLO /data/update/last_MLO
then
	echo "lazy_bootloader aktiviert und MLO und u-boot stimmen mit bestehenden auf de Ziel-Partitionen ueberein, daher werden sie nicht erneut geflasht!"
else
	if ! intern/update_img_partition.sh u-boot $uboot_num
	then
		exit 1
	fi

	if ! cp u-boot /data/update/last_u-boot
	then
		echo "ERROR: Konnte u-boot img nicht sichern in /data/update/last_u-boot"
		exit 1
	fi

	num_of_fails=0
	for mtd in `seq 0 3`
	do
		if ! intern/update_img_partition.sh MLO ${mtd}
		then
			num_of_fails=$((num_of_fails+1))
			if [ $num_of_fails -gt 2 ]
            then
            	exit 1
           fi
		fi
	done

	if ! cp MLO /data/update/last_MLO
	then
		echo "ERROR: Konnte MLO img nicht sichern in /data/update/last_MLO"
		exit 1
	fi

	# WICHTIG! Hier noch nicht die neue Version setzen, da Voraussetzung dafuer ist, dass das update des rootfs fertig ist, da die version dort geschrieben wird... ;-)
fi

